Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005143opensim[GRID] Robust Serverpublic2010-10-26 08:002010-10-29 19:34
Reporteraiaustin 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005143: ROBUST [GridService] no effect if check that teleports are less than 4096 is on via Check4096 = "True"
DescriptionSetting Check4096 = "True" seems to have no visible effect. E.g., avatar can teleport from 1000,1000 to region on Map at 9000,9000 and it lets the avatar go across and end up floating on the single coloured plane as usual No notes or messages seen in viewer (SL 1.23) or Robust.exe console.

[GridService]
    LocalServiceModule = "OpenSim.Services.GridService.dll:GridService"
    ; Realm = "regions"
    ; AllowDuplicateNames = "True"
    ; If HG, do you want this check on the distance to be performed?
    Check4096 = "True"
TagsNo tags attached.
Git Revision or version number0.7.1 Dev Master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerSL 1.23
Attached Filespatch file icon 0001-Clarify-comment-for-configuration-option-Check4096.patch [^] (1,824 bytes) 2010-10-29 02:06 [Show Content]

- Relationships

-  Notes
(0017166)
Marck (reporter)
2010-10-28 23:06

As already explained in note 16325 of Mantis report 0004920, this check is successful as long as there is *any* region in your grid within the 4096 regions range. For instance, in your Openvue grid, region Vue-9000 could be the reason for this test to succeed.

Please also note that this check is only performed for the creation of a world map link to the destination region but not for each teleport.

Hence, this is working as designed.
(0017169)
aiaustin (developer)
2010-10-29 01:40

Ah, sorry Marck. Thanks for the reminder. Maybe a comment line added to the Robust.ini.example file would be helpful for this to help others?
(0017170)
Marck (reporter)
2010-10-29 02:06

The attached patch clarifies the comment and shows the correct default value for config option Check4096.
(0017171)
aiaustin (developer)
2010-10-29 02:16

Thanks Marck. When its applied, maybe a dev could make the Check4096 = "True" with quotes use and capitalisation of the boolean the same for both config files :-)
(0017172)
Marck (reporter)
2010-10-29 02:31

OpenSim doesn't care about capitalization or quotation marks with boolean parameters. I did try to make the style used consistent with what is already in those config files, but there already is a mess of mixed styles in those files anyways. :)
(0017175)
justincc (administrator)
2010-10-29 19:34

Applied as 63bdfb1e28a9cc13cd94b98f598320e7da25d24f. Thanks Marck.

- Issue History
Date Modified Username Field Change
2010-10-26 08:00 aiaustin New Issue
2010-10-26 08:00 aiaustin Git Revision => 0.7.1 Dev Master
2010-10-26 08:00 aiaustin SVN Revision => 14257
2010-10-26 08:00 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-10-26 08:00 aiaustin Physics Engine => ODE
2010-10-26 08:00 aiaustin Environment => .NET / Windows64
2010-10-26 08:00 aiaustin Mono Version => None
2010-10-26 08:00 aiaustin Viewer => SL 1.23
2010-10-28 13:58 aiaustin Description Updated
2010-10-28 23:06 Marck Note Added: 0017166
2010-10-29 01:40 aiaustin Note Added: 0017169
2010-10-29 02:06 Marck File Added: 0001-Clarify-comment-for-configuration-option-Check4096.patch
2010-10-29 02:06 Marck Note Added: 0017170
2010-10-29 02:06 Marck Status new => patch included
2010-10-29 02:16 aiaustin Note Added: 0017171
2010-10-29 02:31 Marck Note Added: 0017172
2010-10-29 19:34 justincc Status patch included => closed
2010-10-29 19:34 justincc Note Added: 0017175
2010-10-29 19:34 justincc Resolution open => fixed
2010-10-29 19:34 justincc Fixed in Version => master (dev code)
2014-01-23 15:41 justincc Category Robust Server => [GRID] Robust Server


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker